/* tableau.h */

typedef struct {
char spots,suit,group,pack;
} card;

typedef struct {
card c;
int x,y,flags,ox,oy;
} tableau_card;

#define tableau_LCLICKTOP 1
#define tableau_LDRAGSINGLE 2
#define tableau_LDRAGGROUP 4
#define tableau_LCLICKSELECT 8
#define tableau_LTURNSCARD 16

#define tableau_RCLICKTOP 256
#define tableau_RDRAGSINGLE 512
#define tableau_RDRAGGROUP 1024
#define tableau_RCLICKSELECT 2048
#define tableau_RTURNSCARD 4096

#define tableau_CARDFACEDOWN 65536
#define tableau_GHOSTCARD 131072
#define tableau_CARDMOVED 262144

#define ACE (1)
#define JACK (11)
#define QUEEN (12)
#define KING (13)

#define HEARTS (0)
#define SPADES (1)
#define DIAMONDS (2)
#define CLUBS (3)
#define JOKER (4)

#include "wimp.h"

void tableau_init(void);
void tableau_createcard(card *c,int x,int y,int flags);
void tableau_click(wimp_mousestr *mouse);
void tableau_redraw(wimp_redrawstr *r);
void tableau_setcardstate(card *c,int group,int flags);
void tableau_removecard(card *c);
tableau_card *tableau_lastcardclick(void);
void tableau_turncard(card *c);
void tableau_movecard(card *c,int newx,int newy);
